summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2015-09-22 23:27:28 (GMT)
committerChristian Pointner <equinox@spreadspace.org>2015-09-22 23:27:28 (GMT)
commitf051f82ecdfc479a554796706408dd9744ff7a78 (patch)
treedc3205488900fbf2a456cd584631eb41980e63b6
parent784e818dcddd9754b183a02dd5b3c3ea367e15ea (diff)
added newfile script for dropnroll
-rwxr-xr-xcontrib/newfile.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/contrib/newfile.sh b/contrib/newfile.sh
new file mode 100755
index 0000000..798e25d
--- /dev/null
+++ b/contrib/newfile.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+DIR=$1
+FILENAME=$2
+SIZE=$3
+
+if [ -z "$FILENAME" ]; then
+ exit 1;
+fi
+
+export DISPLAY=':0.0'
+export XAUTHORITY='/home/equinox/.Xauthority'
+
+exec klokdisplay "$DIR/$FILENAME"